# Bio.SCOP.Hie module

Handle the SCOP HIErarchy files.

The SCOP Hierarchy files describe the SCOP hierarchy in terms of SCOP unique identifiers (sunid).

The file format is described in the SCOP release notes.

The latest HIE file can be found elsewhere at SCOP.

Release 1.55 (July 2001).

class Bio.SCOP.Hie.Record(line=None)

  Bases: `object`

  Holds information for one node in the SCOP hierarchy.

  Attributes:

    - sunid - SCOP unique identifiers of this node

    - parent - Parents sunid

    - children - Sequence of children sunids

  __init__(line=None)

    Initialize the class.

  __str__()

    Represent the SCOP hierarchy record as a string.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 23
  __static_attributes__ = ('children', 'parent', 'sunid')

Bio.SCOP.Hie.parse(handle)

  Iterate over a HIE file as Hie records for each line.

  Arguments:

    - handle - file-like object.

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub